Issue's custom fields don't appear on some filters and custom queries editor

2008-07-18 14:12 - Jose Antonio Guerra

Status: Closed Start date: 2008-07-18

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 2.2.2

Description

When you create an issue's custom field and mark it to be used on filters it works fine except in the following situations:

Custom fields don't appear on the "View issues on all projects" page.

You can go to a project and create a Custom Query using that field, but if you try to edit the query afterwards the field doesn't

show up in the edit interface.

Note that the custom field I've tried in only allowed in some trackers.

Related issues:

Related to Redmine - Defect #980: "For all projects" custom queries New 2008-04-03

Related to Redmine - Defect #1495: Queries on versions don't work globally Closed 2008-06-18

Is duplicate of Redmine - Defect #25501: Time entries query through multiple ... Closed

History

#1 - 2008-07-18 14:16 - Jose Antonio Guerra

More:

If you create the Custom Query inside a project (and make it globally available) you can use in the "View issues in all projects" page but the

custom field is not being uses anyway.

#2 - 2008-08-09 15:57 - frank guthorel

Hello,

I can confirm this issue.

Custom fields seem to be dropped when editing filters, and apparently a custom field is not available when using cross-project filters/queries.

This is a bit annoying - since this is mighty fine for checking in an overall list of projects what has to be invoiced for instance, or what is not billable -

using custom fields Invoiced and Billable, for instance.

Any chance of incorporating this in a revision somewhere in the future?

For now, what does work - to have fi. Invoiced behaviour -- is using a a status Invoiced for an Issue. Only when invoiced does it become closed, so

that way, it keeps showing up on MyPage. This is a good solution for account managers, but less so for developers, since their list grows longer and

longer that way, until all said Issues are invoiced.

Well - it seems not to be too difficult an update from my perspective, but I could be wrong of course.

Thanks in advance for having a look.

Frank

#3 - 2008-12-08 21:01 - Stephanie Collett

This is a very strange bug, but I was able to find a workaround for version 0.7.3 for custom fields that are included for all projects.

1. Create your custom query with the custom fields for a specific project and save (Do not check 'For all projects').

2. Edit the custom query checking 'For all projects' and save.

The custom query should work for all projects including the cross-project issue list. Do not edit the custom query or it will drop the custom fields.

#4 - 2012-10-28 19:33 - Daniel Felix

I'm still able to reproduce this in current trunk (10742).
#5 - 2013-02-06 11:48 - Daniel Felix

- Target version set to Candidate for next major release

One suggestion of this could be to reload the issue fields after selecting "global filter".

Redmine couldn't provide filters which are systemwide, if the filter items won't be available systemwide.

Another suggestion would be, to throw out all projects which haven't these fields and just filter those projects which have this field enabled.

#6 - 2013-02-06 11:48 - Daniel Felix

- Affected version (unused) changed from 0.7.3 to 2.2.2

- Affected version changed from 0.7.3 to 2.2.2

#7 - 2013-04-09 16:35 - Daniel Felix

Checked this.

This one seems to be fixed in the 2.3 release:

•You can go to a project and create a Custom Query using that field, but if you try to edit the query afterwards the field doesn't show up in the

edit interface.

 This is still reproducible:

•Custom fields don't appear on the "View issues on all projects" page.

•If you create the Custom Query inside a project (and make it globally available) you can use in the "View issues in all projects" page but the

custom field is not being uses anyway.

 The points which are still reproducible seem to be legit. Only fields which are enabled for all projects should be selectable on this filters.

#8 - 2014-12-29 15:18 - Pavel Potcheptsov

Custom fields don't appear on the "View issues on all projects" page.

 Any thought how to fix this?

Absence of this feature makes Custom fields unusable through all projects.

#9 - 2017-04-04 08:53 - Marius BĂLTEANU

I think the issue is fixed by #25501.

#10 - 2017-05-04 06:13 - Toshi MARUYAMA

- Status changed from New to Needs feedback

#11 - 2017-05-04 06:14 - Toshi MARUYAMA

- Related to Defect #25501: Time entries query through multiple projects by issue custom field not possible anymore. added

#12 - 2018-02-25 17:31 - Marius BĂLTEANU

- Related to deleted (Defect #25501: Time entries query through multiple projects by issue custom field not possible anymore.)

#13 - 2018-02-25 17:31 - Marius BĂLTEANU

- Is duplicate of Defect #25501: Time entries query through multiple projects by issue custom field not possible anymore. added

#14 - 2018-02-25 17:34 - Marius BĂLTEANU

- File custom_fields_in_filters.png added

- File custom_fields.png added

- Status changed from Needs feedback to Closed

- Target version deleted (Candidate for next major release)

- Resolution set to Duplicate
Works as expected:

Custom fields:

 custom_fields.png 

Available filters in global issues page:

 custom_fields_in_filters.png 

Files

custom_fields.png 116 KB 2018-02-25 Marius BĂLTEANU

custom_fields_in_filters.png 514 KB 2018-02-25 Marius BĂLTEANU
